This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1000701 - [abrt] sound-juicer-3.5.0-2.fc18: gtk_tree_model_get_valist: Process /usr/bin/sound-juicer was killed by signal 11 (SIGSEGV)
[abrt] sound-juicer-3.5.0-2.fc18: gtk_tree_model_get_valist: Process /usr/bin...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: sound-juicer (Show other bugs)
18
x86_64 Unspecified
medium Severity medium
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
abrt_hash:796c24a5d496f1d583266ff8fc9...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-24 08:08 EDT by Tim Wegener
Modified: 2014-02-05 17:19 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 17:19:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (41.86 KB, text/plain)
2013-08-24 08:08 EDT, Tim Wegener
no flags Details
File: cgroup (126 bytes, text/plain)
2013-08-24 08:08 EDT, Tim Wegener
no flags Details
File: core_backtrace (18.72 KB, text/plain)
2013-08-24 08:08 EDT, Tim Wegener
no flags Details
File: dso_list (13.17 KB, text/plain)
2013-08-24 08:08 EDT, Tim Wegener
no flags Details
File: environ (1.09 KB, text/plain)
2013-08-24 08:08 EDT, Tim Wegener
no flags Details
File: exploitable (82 bytes, text/plain)
2013-08-24 08:08 EDT, Tim Wegener
no flags Details
File: limits (1.29 KB, text/plain)
2013-08-24 08:08 EDT, Tim Wegener
no flags Details
File: maps (65.73 KB, text/plain)
2013-08-24 08:09 EDT, Tim Wegener
no flags Details
File: open_fds (990 bytes, text/plain)
2013-08-24 08:09 EDT, Tim Wegener
no flags Details
File: proc_pid_status (936 bytes, text/plain)
2013-08-24 08:09 EDT, Tim Wegener
no flags Details
File: var_log_messages (327 bytes, text/plain)
2013-08-24 08:09 EDT, Tim Wegener
no flags Details

  None (edit)
Description Tim Wegener 2013-08-24 08:08:30 EDT
Description of problem:
Extracting tracks from an audio CD, and then the dialog with a selection of album names (all the same) detected for this CD came up for a second time (during extraction, a couple tracks in) and then it crashed.

Version-Release number of selected component:
sound-juicer-3.5.0-2.fc18

Additional info:
reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        sound-juicer
crash_function: gtk_tree_model_get_valist
executable:     /usr/bin/sound-juicer
kernel:         3.10.7-100.fc18.x86_64
runlevel:       N 5

Truncated backtrace:
Thread no. 1 (9 frames)
 #0 gtk_tree_model_get_valist at gtktreemodel.c:1765
 #1 gtk_tree_model_get at gtktreemodel.c:1727
 #2 on_completion_cb at sj-extracting.c:658
 #3 _g_closure_invoke_va at gclosure.c:840
 #6 g_cclosure_marshal_VOID__BOXEDv at gmarshal.c:1160
 #7 _g_closure_invoke_va at gclosure.c:840
 #10 gst_bus_async_signal_func at gstbus.c:1126
 #11 gst_bus_source_dispatch at gstbus.c:773
 #16 gtk_main at gtkmain.c:1160

Potential duplicate: bug 716645
Comment 1 Tim Wegener 2013-08-24 08:08:35 EDT
Created attachment 789826 [details]
File: backtrace
Comment 2 Tim Wegener 2013-08-24 08:08:38 EDT
Created attachment 789827 [details]
File: cgroup
Comment 3 Tim Wegener 2013-08-24 08:08:42 EDT
Created attachment 789828 [details]
File: core_backtrace
Comment 4 Tim Wegener 2013-08-24 08:08:46 EDT
Created attachment 789829 [details]
File: dso_list
Comment 5 Tim Wegener 2013-08-24 08:08:50 EDT
Created attachment 789830 [details]
File: environ
Comment 6 Tim Wegener 2013-08-24 08:08:53 EDT
Created attachment 789831 [details]
File: exploitable
Comment 7 Tim Wegener 2013-08-24 08:08:57 EDT
Created attachment 789832 [details]
File: limits
Comment 8 Tim Wegener 2013-08-24 08:09:01 EDT
Created attachment 789833 [details]
File: maps
Comment 9 Tim Wegener 2013-08-24 08:09:04 EDT
Created attachment 789834 [details]
File: open_fds
Comment 10 Tim Wegener 2013-08-24 08:09:08 EDT
Created attachment 789835 [details]
File: proc_pid_status
Comment 11 Tim Wegener 2013-08-24 08:09:11 EDT
Created attachment 789836 [details]
File: var_log_messages
Comment 12 Robert Peterson 2013-11-09 21:55:31 EST
Here's the segfault I'm consistently getting:

$ gdb ./sound-juicer
GNU gdb (GDB) Fedora 7.6.1-42.fc19
Copyright (C) 2013 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...
Reading symbols from /mnt/sata1/home.f8/bob/Download/sound-juicer/src/sound-juicer...done.
(gdb) run
Starting program: /mnt/sata1/home.f8/bob/Download/sound-juicer/src/./sound-juicer 
Traceback (most recent call last):
  File "/usr/share/gdb/auto-load/usr/lib64/libgobject-2.0.so.0.3600.3-gdb.py", line 9, in <module>
    from gobject import register
  File "/usr/share/glib-2.0/gdb/gobject.py", line 3, in <module>
    import gdb.backtrace
ImportError: No module named backtrace
Traceback (most recent call last):
  File "/usr/share/gdb/auto-load/usr/lib64/libgobject-2.0.so.0.3600.3-gdb.py", line 9, in <module>
    from gobject import register
  File "/usr/share/glib-2.0/gdb/gobject.py", line 3, in <module>
    import gdb.backtrace
ImportError: No module named backtrace
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".
Missing separate debuginfo for /lib64/libgraphite2.so.3
Try: yum --enablerepo='*debug*' install /usr/lib/debug/.build-id/a1/aa32c91bc181cb69ebc81bbfd03a1349ea4e33.debug
[New Thread 0x7ffff0448700 (LWP 16181)]
[New Thread 0x7fffef41b700 (LWP 16182)]
[New Thread 0x7fffee639700 (LWP 16184)]
[Thread 0x7fffef41b700 (LWP 16182) exited]
[New Thread 0x7fffef41b700 (LWP 16185)]
[New Thread 0x7fffede38700 (LWP 16186)]
[New Thread 0x7fffed637700 (LWP 16187)]
[New Thread 0x7fffece36700 (LWP 16188)]
[New Thread 0x7fffd99ac700 (LWP 16189)]
[New Thread 0x7fffd91ab700 (LWP 16190)]
[New Thread 0x7fffd89aa700 (LWP 16191)]
[Thread 0x7fffee639700 (LWP 16184) exited]
[New Thread 0x7fffee639700 (LWP 16192)]
[New Thread 0x7fffc1c6d700 (LWP 16194)]
Unrecognised release element: 'release-event-list'
Unrecognised release element: 'cover-art-archive'
[Thread 0x7fffef41b700 (LWP 16185) exited]
[Thread 0x7fffd91ab700 (LWP 16190) exited]
[Thread 0x7fffd89aa700 (LWP 16191) exited]
[Thread 0x7fffd99ac700 (LWP 16189) exited]

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 0x7fffc1c6d700 (LWP 16194)]
0x00000031de48040c in free () from /lib64/libc.so.6
Missing separate debuginfos, use: debuginfo-install GConf2-3.2.6-6.fc19.x86_64 PackageKit-gtk3-module-0.8.9-6.fc19.x86_64 adwaita-gtk3-theme-3.8.4-1.fc19.x86_64 at-spi2-atk-2.8.1-1.fc19.x86_64 at-spi2-core-2.8.0-3.fc19.x86_64 atk-2.8.0-1.fc19.x86_64 brasero-libs-3.8.0-1.fc19.x86_64 cairo-1.12.14-2.fc19.x86_64 cairo-gobject-1.12.14-2.fc19.x86_64 cdparanoia-libs-10.2-13.fc19.x86_64 dbus-glib-0.100-5.fc19.x86_64 dbus-libs-1.6.12-1.fc19.x86_64 dconf-0.16.0-2.fc19.x86_64 expat-2.1.0-5.fc19.x86_64 fontconfig-2.10.93-1.fc19.x86_64 freetype-2.4.11-7.fc19.x86_64 gdk-pixbuf2-2.28.2-1.fc19.x86_64 glib2-2.36.3-3.fc19.x86_64 glibc-2.17-19.fc19.x86_64 gmp-5.1.1-2.fc19.x86_64 gnome-keyring-3.8.2-1.fc19.x86_64 gnutls-3.1.16-1.fc19.x86_64 gstreamer1-1.0.10-1.fc19.x86_64 gstreamer1-plugins-bad-free-1.0.10-1.fc19.x86_64 gstreamer1-plugins-base-1.0.10-1.fc19.x86_64 gstreamer1-plugins-good-1.0.10-1.fc19.x86_64 gstreamer1-plugins-ugly-1.0.10-1.fc19.x86_64 gtk3-3.8.6-1.fc19.x86_64 gvfs-1.16.3-2.fc19.x86_64 harfbuzz-0.9.19-1.fc19.x86_64 keyutils-libs-1.5.8-1.fc19.x86_64 krb5-libs-1.11.3-11.fc19.x86_64 lame-libs-3.99.5-2.fc19.x86_64 libX11-1.6.0-1.fc19.x86_64 libXau-1.0.8-1.fc19.x86_64 libXcomposite-0.4.4-3.fc19.x86_64 libXcursor-1.1.14-1.fc19.x86_64 libXdamage-1.1.4-3.fc19.x86_64 libXext-1.3.2-1.fc19.x86_64 libXfixes-5.0.1-1.fc19.x86_64 libXi-1.7.2-1.fc19.x86_64 libXinerama-1.1.3-1.fc19.x86_64 libXrandr-1.4.1-1.fc19.x86_64 libXrender-0.9.7-6.20130524git786f78fd8.fc19.x86_64 libXxf86vm-1.1.3-1.fc19.x86_64 libbluray-0.4.0-1.fc19.x86_64 libcanberra-0.30-3.fc19.x86_64 libcanberra-gtk3-0.30-3.fc19.x86_64 libcom_err-1.42.7-2.fc19.x86_64 libcroco-0.6.8-2.fc19.x86_64 libdiscid-0.2.2-8.fc19.x86_64 libdrm-2.4.47-1.fc19.x86_64 libffi-3.0.13-4.fc19.x86_64 libgcc-4.8.2-1.fc19.x86_64 libmodman-2.0.1-6.fc19.x86_64 libmusicbrainz5-5.0.1-7.fc19.x86_64 libogg-1.3.0-5.fc19.x86_64 libpng-1.5.13-2.fc19.x86_64 libproxy-0.4.11-6.fc19.x86_64 librsvg2-2.37.0-3.fc19.x86_64 libselinux-2.1.13-15.fc19.x86_64 libstdc++-4.8.2-1.fc19.x86_64 libtasn1-3.3-1.fc19.x86_64 libtdb-1.2.12-1.fc19.x86_64 libtool-ltdl-2.4.2-21.fc19.x86_64 libvorbis-1.3.3-4.fc19.x86_64 libwayland-client-1.2.0-1.fc19.x86_64 libwayland-cursor-1.2.0-1.fc19.x86_64 libwayland-server-1.2.0-1.fc19.x86_64 libxcb-1.9-3.fc19.x86_64 libxkbcommon-0.3.0-1.fc19.x86_64 libxml2-2.9.1-1.fc19.x86_64 mesa-libEGL-9.2-1.20130919.fc19.x86_64 mesa-libGL-9.2-1.20130919.fc19.x86_64 mesa-libgbm-9.2-1.20130919.fc19.x86_64 mesa-libglapi-9.2-1.20130919.fc19.x86_64 neon-0.30.0-2.fc19.x86_64 nettle-2.6-2.fc19.x86_64 nss-softokn-freebl-3.15.2-2.fc19.x86_64 orc-0.4.17-2.fc19.x86_64 p11-kit-0.18.7-1.fc19.x86_64 p11-kit-trust-0.18.7-1.fc19.x86_64 pakchois-0.4-8.fc19.x86_64 pango-1.34.1-1.fc19.x86_64 pcre-8.32-7.fc19.x86_64 pixman-0.30.0-1.fc19.x86_64 systemd-libs-204-17.fc19.x86_64 xz-libs-5.1.2-4alpha.fc19.x86_64 zlib-1.2.7-10.fc19.x86_64
(gdb) bt
#0  0x00000031de48040c in free () from /lib64/libc.so.6
#1  0x00007ffff7d769eb in mp_clear_multi () from /lib64/libgnutls.so.28
#2  0x00007ffff7d77f2a in ecc_del_point () from /lib64/libgnutls.so.28
#3  0x00007ffff7d775e8 in ecc_wmnaf_cache_free () from /lib64/libgnutls.so.28
#4  0x00007ffff7ce5861 in gnutls_global_deinit () from /lib64/libgnutls.so.28
#5  0x0000003202c38e0b in MusicBrainz5::CHTTPFetch::Fetch(std::string const&, std::string const&) () from /lib64/libmusicbrainz5.so.0
#6  0x0000003202c56342 in MusicBrainz5::CQuery::PerformQuery(std::string const&) () from /lib64/libmusicbrainz5.so.0
#7  0x0000003202c56c8c in MusicBrainz5::CQuery::Query(std::string const&, std::string const&, std::string const&, std::map<std::string, std::string, std::less<std::string>, std::allocator<std::pair<std::string const, std::string> > > const&) () from /lib64/libmusicbrainz5.so.0
#8  0x0000003202c570ee in MusicBrainz5::CQuery::LookupDiscID(std::string const&) () from /lib64/libmusicbrainz5.so.0
#9  0x0000003202c44c2d in mb5_query_lookup_discid () from /lib64/libmusicbrainz5.so.0
#10 0x0000000000420a10 in mb5_list_albums (metadata=<optimized out>, url=0x65dfa0, error=0x7fffc1c6cbf8) at sj-metadata-musicbrainz5.c:566
#11 0x000000000041fba3 in lookup_cd (mdg=0x65df80) at sj-metadata-getter.c:196
#12 0x00000031e086c185 in g_thread_proxy () from /lib64/libglib-2.0.so.0
#13 0x00000031dec07c53 in start_thread () from /lib64/libpthread.so.0
#14 0x00000031de4f5dbd in clone () from /lib64/libc.so.6
(gdb) 

This version was compiled from the latest and greatest git repository.
Comment 13 Christophe Fergeau 2013-11-12 05:14:36 EST
Robert, the backtrace is very different, imo what you are seeing is different from the first bug.
Comment 14 Christophe Fergeau 2013-11-12 05:51:03 EST
(In reply to Robert Peterson from comment #12)
> Here's the segfault I'm consistently getting:

See bug #1029394
Comment 15 Robert Peterson 2013-11-12 08:14:13 EST
Christophe, thanks. I added myself to that bz; sorry for the noise.
Comment 16 Fedora End Of Life 2013-12-21 09:31:06 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 17 Fedora End Of Life 2014-02-05 17:19:20 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.